/**
 * 
 */
package org.ajax4jsf.component;

import javax.faces.context.FacesContext;

import org.ajax4jsf.context.InvokerCallback;

/**
 * @author Anton Belevich
 *
 */
public class InvokerCallbackWrapper extends ContextCallbackWrapper implements InvokerCallback {

    public InvokerCallbackWrapper(InvokerCallback invokerCallback) {
	super(invokerCallback);
    }
    
    /* 
     * @see org.ajax4jsf.context.InvokerCallback#invokeRoot(javax.faces.context.FacesContext)
     */
    public void invokeRoot(FacesContext context) {
	((InvokerCallback)this.callback).invokeRoot(context);
    }

}
